# Method: projects.locations.indexEndpoints.deployIndex

- [HTTP request](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints/deployIndex#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints/deployIndex#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints/deployIndex#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints/deployIndex#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints/deployIndex#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints/deployIndex#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints/deployIndex#body.aspect_1)

Deploys an Index to IndexEndpoint.

### HTTP request

`POST https://visionai.googleapis.com/v1alpha1/{indexEndpoint=projects/*/locations/*/indexEndpoints/*}:deployIndex`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `indexEndpoint` | `string` Required. IndexEndpoint the index is deployed to. Format: `projects/{project}/locations/{location}/indexEndpoints/{indexEndpoint}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "deployedIndex": { object (`https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints#DeployedIndex`) } } ``` |

| Fields ||
|---|---|
| `deployedIndex` | ``object (`https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints#DeployedIndex`)`` Required. Index to deploy. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/vision-ai/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `indexEndpoint` resource:

- `visionai.indexEndpoints.deploy`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).